## org.apache.tools.ant.taskdefs.launcher
Class VmsCommandLauncher

    java.lang.Object
      org.apache.tools.ant.taskdefs.launcher.CommandLauncher
          org.apache.tools.ant.taskdefs.launcher.Java13CommandLauncher
              org.apache.tools.ant.taskdefs.launcher.VmsCommandLauncher

    public class VmsCommandLauncher

extends Java13CommandLauncher

A command launcher for VMS that writes the command to a temporary DCL script before launching commands. This is due to limitations of both the DCL interpreter and the Java VM implementation.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher
`FILE_UTILS`

Constructor Summary
`VmsCommandLauncher()`

Method Summary
`java.lang.Process` `exec(Project project, java.lang.String[] cmd, java.lang.String[] env)` Launches the given command in a new process.
`java.lang.Process` `exec(Project project, java.lang.String[] cmd, java.lang.String[] env, java.io.File workingDir)` Launches the given command in a new process, in the given working directory.

Methods inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher
`getShellLauncher, getVMLauncher, setShellLauncher, setVMLauncher`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VmsCommandLauncher

    public VmsCommandLauncher()

Method Detail

### exec

    public java.lang.Process exec(Project project,
                                  java.lang.String[] cmd,
                                  java.lang.String[] env)
                           throws java.io.IOException

  Launches the given command in a new process.

  Overrides:
    `exec` in class `CommandLauncher`
  Parameters:
    `project` - the Ant project.
    `cmd` - the command line to execute as an array of strings.
    `env` - the environment to set as an array of strings.
  Returns:
    the created Process.
  Throws:
    `java.io.IOException` - forwarded from the exec method of the command launcher.

### exec

    public java.lang.Process exec(Project project,
                                  java.lang.String[] cmd,
                                  java.lang.String[] env,
                                  java.io.File workingDir)
                           throws java.io.IOException

  Launches the given command in a new process, in the given working directory. Note that under Java 1.4.0 and 1.4.1 on VMS this method only works if `workingDir` is null or the logical JAVA$FORK_SUPPORT_CHDIR needs to be set to TRUE.

  Overrides:
    `exec` in class `Java13CommandLauncher`
  Parameters:
    `project` - the Ant project.
    `cmd` - the command line to execute as an array of strings.
    `env` - the environment to set as an array of strings.
    `workingDir` - working directory where the command should run.
  Returns:
    the created Process.
  Throws:
    `java.io.IOException` - forwarded from the exec method of the command launcher.